local cache = {}
local oldCachePatch
local function newCachePatch(name)
    local p = cache[name]

    if not p then
        cache[name] = oldCachePatch(name)
        p = cache[name]
    end

    return p
end

hud.add(function(v)
    if oldCachePatch ~= nil then return end

    oldCachePatch = v.cachePatch
    v.cachePatch = newCachePatch
end)

addHook("MapLoad", function()
    -- Flush cache, in case some of patches were the 'MISSING' patches but got fixed
    cache = {}
end)
